package Example::XSObject;

use 5.008006;
use strict;
use warnings;
use Carp;

require Exporter;
our $VERSION = '0.01';

require XSLoader;
XSLoader::load('Example::XSObject', $VERSION);

1;
__END__

=head1 NAME

Example::XSObject - Perl extension for blah blah blah

=head1 SYNOPSIS

  use Example::XSObject;
  use strict;

  my $obj = Example::XSObject->new;
  $obj->age(18);
  $obj->name('Hiroyuki OYAMA');
  $obj->print();

  printf(qq{class: '%s', age: %d, name: %s\n}, ref $obj, $obj->age, $obj->name);

=head1 DESCRIPTION

Stub documentation for Example::XSObject, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head1 SEE ALSO

Mention other useful documentation such as the documentation of
related modules or operating system documentation (such as man pages
in UNIX), or any relevant external documentation such as RFCs or
standards.

If you have a mailing list set up for your module, mention it here.

If you have a web site set up for your module, mention it here.

=head1 AUTHOR

Hiroyuki OYAMA, E<lt>oyama@mixi.co.jpE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2007 by Hiroyuki OYAMA

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.6 or,
at your option, any later version of Perl 5 you may have available.


=cut
